> For the complete documentation index, see [llms.txt](https://docs.tvheadend.org/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tvheadend.org/documentation/development/json-api/api-description/ratinglabel.md).

# RatingLabel

Functions to query and manipulate the list of parental rating labels ('G', 'M', 'PG', etc).

### ratinglabel/class

Lists the text strings, options and defaults used when configuring parental rating labels within TVH (ie Configuration -> Channel/EPG -> Rating Labels -> Add).

### ratinglabel/create

Creates a new parental rating label. Requires ADMIN privilege.

* `conf` A JSON object containing details of the new parental rating label.

### ratinglabel/grid

Lists details of parental rating labels. For details of the parameters and selection criteria which can be applied, see [Grid Parameters](/documentation/development/json-api/api-description/common-parameters.md#grid-parameters).

```
{
   "entries" : [
      {
         "uuid : "a82438515ecc857dbf2509517ff3fe40",
         "enabled" : true,
         "country" : "AUS",
         "age" : 8,
         "display_age" : 11,
         "display_label" : "PG",
         "label" : "PG",
         "authority" : "ACMA",
         "icon" : "file:///my/file/location/acma-pg.png",
         "icon_public_url" : "imagecache/37"
      }, ...
   ],
   "total" : 9
}
```

### ratinglabel/list

Lists the names and uuids of all known parental rating labels.

```
{
   "entries" : [
      {
         "val" : "AUS",
         "key" : "7b1f8773747155ed7341c8328a037f28"
      }, ...
   ]
}
```

**Notes:**

* Parental rating labels were added to Tvheadend in December 2023.
* Processing of parental rating labels is **disabled** by default and can be enabled via Configuration -> Channel/EPG -> EPG Grabber.
* Tvheadend will automatically create a placeholder record as new labels are encountered.
* Parental rating label fields will not appear in other modules, (DVR, EPG) if the processing of parental rating labels is disabled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tvheadend.org/documentation/development/json-api/api-description/ratinglabel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
